Bug 104380 - Can't change driver for queue.
Summary: Can't change driver for queue.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-printer (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-14 08:48 UTC by Ralph Loader
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-17 08:56:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:276 normal SHIPPED_LIVE Updated printer configuration tool fixes SMB problems 2003-09-17 04:00:00 UTC
Red Hat Product Errata RHBA-2004:071 normal SHIPPED_LIVE Updated printer configuration tool fixes sharing problems 2004-05-12 04:00:00 UTC

Description Ralph Loader 2003-09-14 08:48:26 UTC
Description of problem:

I have a HP640C printer configured.  It's currently set to the default (hpijs)
driver.  Attempting to change this to the gimp-print driver does not work.  The
change appears to work in the GUI but is never applied.

Version-Release number of selected component (if applicable):

redhat-config-printer-0.6.74-1

How reproducible:

Every time.

Steps to Reproduce:
1.  Add a print queue for a HP640C printer, taking the default driver.

2.  Restart redhat-config-printer, edit the print queue, and change hpijs to
gimp-print on the "Printer driver" tab.  Close the edit dialog and hit the
"Apply" button.

3.  Restart redhat-config-printer, edit the queue again, and go to the "Printer
driver" tab
    
Actual results:

The configured printer driver has reverted to hpijs.

Expected results:

The configured printer driver should have been changed to gimp-print.

Additional Info:

Changing the driver to gimp-print-ijs or hpijs-rss does work correctly.\

Comment 1 Tim Waugh 2003-09-15 14:30:46 UTC
Fixed in CVS.

Comment 2 Tim Waugh 2003-09-17 08:56:14 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-276.html



Note You need to log in before you can comment on or make changes to this bug.